import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/config.dart';
import 'package:sk_base_mobile/constants/bg_color.dart';
import 'package:sk_base_mobile/constants/data.dart';
import 'package:sk_base_mobile/constants/enum.dart';
import 'package:sk_base_mobile/screens/inventory_inout/components/inventory_inout_card_content.dart';
import 'package:sk_base_mobile/screens/inventory_inout/inventory_inout_controller.dart';
import 'package:sk_base_mobile/util/util.dart';
import 'package:sk_base_mobile/widgets/fade_in_cache_image.dart';

class InventoryInoutCard extends StatelessWidget {
  InventoryInoutCard({required this.index, required this.ind});
  final int index;
  final int ind;
  final controller = Get.find<InventoryInoutController>();
  @override
  Widget build(BuildContext context) {
    return Dismissible(
      key: UniqueKey(),
      confirmDismiss: (direction) async {
        // return await ModalUtil.showWarningDialog(
        //     'Remove Task', 'Are you sure to remove this task', 'Confirm', () {
        //   controller.db.delete(controller.list[ind][index].key, 'Tasks');
        //   controller.list[ind].remove(controller.list[ind][index]);
        // });
      },
      child: Container(
        margin: EdgeInsets.symmetric(
            vertical: ScreenAdaper.height(15),
            horizontal: ScreenAdaper.width(15)),
        padding: EdgeInsets.symmetric(
            horizontal: ScreenAdaper.width(defaultPadding)),
        decoration: BoxDecoration(
            boxShadow: [
              BoxShadow(
                  color: lightAccentBlue.withOpacity(.5),
                  offset: Offset(0, ScreenAdaper.height(5)),
                  blurRadius: ScreenAdaper.sp(10)),
            ],
            color: Colors.white,
            borderRadius: BorderRadius.circular(ScreenAdaper.sp(30))),
        child: Row(
          children: [
            // Image.asset(
            //   Data().images[controller.list[ind][index].image],
            //   height: 100,
            //   width: 100,
            // ),
            if (controller.list[ind][index].files.isNotEmpty)
              ClipRRect(
                borderRadius: BorderRadius.circular(ScreenAdaper.sp(15)),
                child: FadeInCacheImage(
                    width: ScreenAdaper.width(100),
                    height: ScreenAdaper.width(100),
                    url:
                        '${GloablConfig.OSS_URL}${controller.list[ind][index].files[0]?.path}'),
              ),
            SizedBox(
              width: ScreenAdaper.width(defaultPadding) / 2,
            ),
            InventoryInoutCardContent(index: index, ind: ind),
            // const Spacer(
            //   flex: 2,
            // ),
            // controller.list[ind][index].inOrOut ==
            //         InventoryInOrOutEnumValues[InventoryInOrOutEnum.In]
            //     ? Container(
            //         height: ScreenAdaper.height(40),
            //         width: ScreenAdaper.width(40),
            //         decoration: BoxDecoration(
            //             shape: BoxShape.circle,
            //             gradient: const LinearGradient(
            //                 begin: Alignment.topCenter,
            //                 end: Alignment.bottomCenter,
            //                 colors: [
            //                   lightOrange,
            //                   darkOrange,
            //                 ]),
            //             boxShadow: [
            //               BoxShadow(
            //                   color: lightOrange,
            //                   offset: Offset(0, ScreenAdaper.height(10)),
            //                   blurRadius: ScreenAdaper.sp(10))
            //             ]),
            //         child: const Icon(
            //           Icons.done,
            //           color: Colors.white,
            //         ),
            //       )
            //     : Align(
            //         alignment: Alignment.topRight,
            //         child: Padding(
            //             padding: EdgeInsets.only(top: ScreenAdaper.height(20)),
            //             child: PopupMenuButton(
            //               onSelected: (value) => {
            //                 // controller.onTaskComplete(value, index, ind,
            //                 //     controller.list[ind][index].key, context)
            //               },
            //               surfaceTintColor: Colors.white,
            //               padding: EdgeInsets.zero,
            //               icon: Icon(
            //                 Icons.more_vert_rounded,
            //                 color: Colors.grey,
            //                 size: ScreenAdaper.sp(24),
            //               ),
            //               shape: OutlineInputBorder(
            //                 borderRadius:
            //                     BorderRadius.circular(ScreenAdaper.sp(20)),
            //                 borderSide: BorderSide.none,
            //               ),
            //               itemBuilder: (context) {
            //                 return [
            //                   PopupMenuItem(
            //                       height: ScreenAdaper.height(20),
            //                       value: 1,
            //                       child: Row(
            //                         children: [
            //                           Icon(
            //                             Icons.edit_note,
            //                             color: Colors.orange,
            //                             size: ScreenAdaper.sp(14),
            //                           ),
            //                           SizedBox(
            //                             width:
            //                                 ScreenAdaper.width(defaultPadding) /
            //                                     2,
            //                           ),
            //                           const Text('Edit')
            //                         ],
            //                       )),
            //                   PopupMenuItem(
            //                       height: ScreenAdaper.height(25),
            //                       value: 2,
            //                       child: Row(
            //                         children: [
            //                           Icon(
            //                             Icons.delete_outline,
            //                             color: Colors.orange,
            //                             size: ScreenAdaper.sp(14),
            //                           ),
            //                           SizedBox(
            //                             width:
            //                                 ScreenAdaper.width(defaultPadding) /
            //                                     2,
            //                           ),
            //                           Text('Delete')
            //                         ],
            //                       )),
            //                   PopupMenuItem(
            //                       height: ScreenAdaper.height(25),
            //                       value: 3,
            //                       child: Row(
            //                         children: [
            //                           Icon(
            //                             Icons.done_all_outlined,
            //                             color: Colors.orange,
            //                             size: ScreenAdaper.sp(14),
            //                           ),
            //                           SizedBox(
            //                             width:
            //                                 ScreenAdaper.width(defaultPadding) /
            //                                     2,
            //                           ),
            //                           Text('Complete')
            //                         ],
            //                       )),
            //                 ];
            //               },
            //             )),
            //       ),
          ],
        ),
      ),
    );
  }
}
